function y=ppe(x, a, m, cm)
%
% Evaluate the normalazation factor of the densities. It is the denominator
% factor in last equation of page 3 of Bilmes' paper.
%
% ----INPUT PARAMETERS----
%   x: dxL matrix wtih each column being a sample of dimension d
%   a: component probabilities (1xN vector)
%   m: mean values (dxN matrix)
%   cm: covariance matrices (dxd*N matrix)
%
% ----OUTPUT PARAMETERS----
%   y: normalization factor
%
% (c) Yannis Pantazis, 2004, csd, uoc
%     mail: pantazis@csd.uoc.gr

[dimx,lenx] = size(x);
N = length(a);

y = zeros(1, lenx);

for k = 1:N
    y = y + a(k)*gau(x, m(:,k), cm(:, (k-1)*dimx+1 : k*dimx));
end

